# Makefile for oracle
#

COMP = gcc
INCLUDES = -I/usr/include
DEFINE = 

TFILES = text.o \
	server.o

LIBS = -lm -lsocket -lnsl
#LIBS = -lm

CFLAGS = -c $(DEFINE) -o $@
#CFLAGS = -c -g $(DEFINE) -o $@

all: text

text: $(TFILES)
	$(COMP) -o text $(TFILES) $(LIBS)
 

# ---- alphabetized list of modules ----
server.o: server.c server.h oracle.h messages.h
	$(COMP) $(CFLAGS) server.c

text.o: text.c oracle.h server.h
	$(COMP) $(CFLAGS) text.c
